Skip to content

Manually add an address to the suppression list

POST
/v1/suppressions
curl --request POST \
--url https://your-notavia-host/v1/suppressions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "address": "example" }'

Manually adds an address to the suppression list. If the address is already suppressed, the existing entry is returned with 200 instead of 201. Requires a full-access API key.

Media type application/json
object
address
required
string
Example generated
{
"address": "example"
}

The address was already suppressed; the existing entry is returned.

Media type application/json
object
id
string format: uuid
address
string
reason
string
Allowed values: hard_bounce complaint manual_add
source
string
Allowed values: provider manual
diagnostic_detail
string
nullable
triggering_notification_id
string format: uuid
nullable
suppressed_at
string format: date-time
Example
{
"reason": "hard_bounce",
"source": "provider"
}

The address was added to the suppression list.

Media type application/json
object
id
string format: uuid
address
string
reason
string
Allowed values: hard_bounce complaint manual_add
source
string
Allowed values: provider manual
diagnostic_detail
string
nullable
triggering_notification_id
string format: uuid
nullable
suppressed_at
string format: date-time
Example
{
"reason": "hard_bounce",
"source": "provider"
}

Validation or request error.

Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
nullable
Example generated
{
"error": {
"type": "example",
"code": "example",
"message": "example",
"param": "example"
}
}

Missing or invalid credentials.

Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
nullable
Example generated
{
"error": {
"type": "example",
"code": "example",
"message": "example",
"param": "example"
}
}

Credentials do not have the required scope.

Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
nullable
Example generated
{
"error": {
"type": "example",
"code": "example",
"message": "example",
"param": "example"
}
}